/******************************************************************************
*
* project name:    Bookworm
* file name:       data##.h
* initial date:    3.07.2005
* author:          mhubi@freesurf.ch
* description:     all kind of data
*
*******************************************************************************
*
* Bookworm -- another snake game
* Copyright (C) 2005  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/

const char *msgtexts[] = {"%%% O O O P S ! ! ! %%%",
													"=== G A M E  O V E R ===",
													"### CONGRATULATIONS ###",
													"&&& N E X T  L E V E L &&&",
													"** SPEED LEVEL COMPLETED **",
													"@@@ TRY THE NEXT SPEED @@@", 
													"??? New Game? Y or N ???"
													};

//name/score of the hiscore entries
const char *hisc_name[] = {"Expert", "Advanced", "Medium", "Beginner", "Newbie"};
const unsigned long hisc_score[] = {10000, 7500, 3000, 1500, 250};

const char *scorefile = "bwhisc";

unsigned char limb_light[] = {0x48,0xB4,0x48,0x48,0xB4,0x48};
unsigned char limb_dark[] = {0x30,0x78,0xFC,0xFC,0x78,0x30};

unsigned char head_light[] = {0x00,0x78,0x78,0x78,0x78,0x00};
unsigned char head_dark[] = {0x78,0x84,0xCC,0x84,0xB4,0x78};

unsigned char limb_mask[] = {0x87,0x03,0x03,0x03,0x03,0x87};
unsigned char mask[] = {0x03,0x03,0x03,0x03,0x03,0x03};

unsigned char font[27][6] = {
	{0xFC,0x78,0x30,0x30,0x00,0x30}, //!
	{0x30,0x48,0x84,0xFC,0x84,0x84}, //A
	{0xF8,0x84,0xF8,0x84,0x84,0xF8}, //B
	{0x78,0x84,0x80,0x80,0x84,0x78}, //C
	{0xF0,0x88,0x84,0x84,0x88,0xF0}, //D
	{0xFC,0x80,0xF0,0x80,0x80,0xFC}, //E
	{0xFC,0x80,0xF0,0x80,0x80,0x80}, //F
	{0x78,0x84,0x80,0x9C,0x84,0x7C}, //G
	{0x84,0x84,0xFC,0x84,0x84,0x84}, //H
	{0x30,0x30,0x30,0x30,0x30,0x30}, //I
	{0x04,0x04,0x04,0x84,0x84,0x78}, //J
	{0x84,0x98,0xE0,0x90,0x88,0x84}, //K
	{0x80,0x80,0x80,0x80,0x80,0xFC}, //L
	{0x84,0xCC,0xB4,0x84,0x84,0x84}, //M
	{0x84,0xC4,0xA4,0x94,0x8C,0x84}, //N
	{0x30,0x48,0x84,0x84,0x48,0x30}, //O
	{0xF8,0x84,0xF8,0x80,0x80,0x80}, //P
	{0x30,0x48,0x84,0x94,0x48,0x34}, //Q
	{0xF8,0x84,0xF8,0x90,0x88,0x84}, //R
	{0x78,0x84,0x60,0x18,0x84,0x78}, //S
	{0xFC,0x30,0x30,0x30,0x30,0x30}, //T
	{0x84,0x84,0x84,0x84,0x84,0x78}, //U
	{0x84,0x84,0x48,0x48,0x30,0x30}, //V
	{0x84,0x84,0xB4,0xB4,0x48,0x48}, //W
	{0x84,0x48,0x30,0x30,0x48,0x84}, //X
	{0x84,0x48,0x30,0x30,0x30,0x30}, //Y
	{0xFC,0x08,0x10,0x20,0x40,0xFC}  //Z
};

unsigned char logo_light[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,
0x00,0x07,0xFC,0xFE,0x00,0x00,0x00,0x00,0x00,0x07,0xE0,0x0F,0xF0,0x00,0x00,0x00,
0x00,0x07,0xF8,0x00,0xFF,0x00,0x00,0x00,0x00,0x87,0xFF,0xFF,0xFF,0x40,0x00,0x00,
0x80,0xFF,0xFF,0xFF,0xFF,0x78,0x00,0x00,0xFE,0x3F,0xFF,0xFF,0xFF,0x83,0xC0,0x00,
0xF8,0x07,0xFF,0xFF,0xFF,0x80,0xC0,0x00,0xFE,0x00,0xFF,0xFF,0xFF,0x83,0xE0,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xF8,0x1F,0xFF,0xFF,0xFF,0xF8,0x00,
0xFF,0xF0,0x0F,0xFE,0x01,0xFF,0xF8,0x00,0xFF,0xF0,0x0C,0x00,0x01,0xFF,0xFC,0x00,
0xFF,0xF0,0x0C,0x00,0x07,0xFF,0xCC,0x00,0xFF,0xF0,0x0F,0xFF,0xFF,0xFF,0x08,0x00,
0xFF,0xF0,0x0F,0xFF,0xFF,0xE0,0x1C,0x00,0xFF,0xF0,0x1F,0xFF,0xFF,0xE0,0xFC,0x00,
0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,
0xFF,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xC0,0xFF,0xFF,0xFC,0x00,0x03,0x7F,0xFF,0xE0,
0xFF,0xF0,0x0F,0xFF,0xFF,0x3F,0xFF,0xE0,0xFF,0xF0,0x0F,0xFF,0xFF,0x3F,0xFF,0xF0,
0xFF,0xF0,0x0F,0xFF,0xFF,0x3F,0xFF,0xF0,0xFF,0xF0,0x0F,0xFF,0xFF,0x1F,0xFF,0xF0,
0xFF,0xF0,0x0F,0xFF,0xFF,0x1F,0xFF,0xF0,0xFF,0xF0,0x0F,0xFF,0xFF,0x1F,0xFF,0xF8,
0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0xFF,0xF8,
0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0xFF,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0xFF,0xFC,
0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0xFF,0xF4,0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0xFF,0xC6,
0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0xFE,0x0C,0xFF,0xFF,0xFF,0xFF,0xFF,0x03,0xE0,0x3E,
0xFF,0xFF,0xFF,0xFF,0xF9,0x03,0xC0,0xFE,0xFF,0xFF,0xFE,0x00,0x01,0x03,0xFF,0xFE,
0xFF,0xFF,0xFC,0x00,0x07,0x01,0xFF,0xFF,0xFF,0xFF,0xFE,0x07,0xFF,0x00,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x7F,0xFF,0xFF,0xFF,0x9F,0xFF,0xFF,0x00,0x3F,0xFF,
0xFF,0xF0,0x0F,0xFF,0xFF,0x00,0x1F,0xFF,0x7F,0xF0,0x0F,0xFF,0xFF,0x00,0x0F,0xFE,
0x3F,0xF0,0x0F,0xFF,0xFF,0x00,0x07,0xF0,0x1F,0xF0,0x0F,0xFF,0xFF,0x00,0x00,0x00,
0x0F,0xF0,0x0F,0xFF,0xFF,0x00,0x00,0x00,0x07,0xF0,0x0F,0xFF,0xFE,0x00,0x00,0x00,
0x07,0xF0,0x1F,0xFF,0xFC,0x00,0x00,0x00,0x03,0xF0,0xFF,0xFF,0xE0,0x00,0x00,0x00,
0x01,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,
0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};

unsigned char logo_dark[] = {
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xE0,0x00,0x00,0x00,0x00,
0x00,0x07,0xFC,0x7E,0x00,0x00,0x00,0x00,0x00,0x07,0xF0,0x05,0xF0,0x00,0x00,0x00,
0x00,0x07,0xFC,0x00,0xFE,0x00,0x00,0x00,0x00,0x8F,0xFF,0xFF,0xFE,0x00,0x00,0x00,
0x80,0x7F,0xFF,0xFF,0xFE,0x3C,0x00,0x00,0xF8,0x07,0xFF,0xFF,0xFF,0x05,0xE0,0x00,
0xF0,0x00,0xFF,0xFF,0xFF,0x01,0xE0,0x00,0xFE,0x01,0xFF,0xFF,0xFF,0x07,0x00,0x00,
0xFF,0xFF,0x87,0xFF,0xFF,0xF8,0x10,0x00,0xFF,0x80,0x07,0xFF,0xFF,0x80,0x00,0x00,
0xFF,0x80,0x07,0xFF,0xFF,0xC0,0x08,0x00,0xFF,0x87,0xE7,0xFF,0xFF,0x80,0x08,0x00,
0xFF,0x88,0x17,0xFF,0xFF,0xC0,0x08,0x00,0xFF,0x88,0x17,0xFE,0x07,0xE0,0x08,0x00,
0xFF,0x88,0x17,0xFF,0xFF,0xC0,0x30,0x00,0xFF,0x88,0x17,0xFF,0xFF,0xE0,0x8C,0x00,
0xFF,0x88,0x17,0xFF,0xFF,0xCE,0xE0,0x00,0xFF,0x88,0xE7,0xFF,0xFF,0xDF,0x00,0x00,
0xFF,0x86,0x0F,0xFF,0xFF,0xF0,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x00,
0xFF,0x80,0x07,0xFF,0xFF,0xF0,0x00,0x00,0xFF,0x80,0x07,0xFF,0xFF,0xF0,0x00,0x00,
0xFF,0x80,0x07,0xFF,0xFF,0xF8,0x01,0x00,0xFF,0x80,0x07,0xFF,0xFF,0xF8,0x00,0x00,
0xFF,0x80,0x07,0xFF,0xFF,0xF8,0x00,0x00,0xFF,0x80,0x07,0xFF,0xFF,0xFC,0x00,0x00,
0xFF,0x80,0x07,0xFF,0xFF,0xFC,0x00,0x00,0xFF,0x80,0x07,0xFF,0xFF,0xFC,0x00,0x00,
0xFF,0x80,0x0F,0xFF,0xFF,0xFC,0x00,0x00,0xFF,0x83,0xFF,0xFF,0xFF,0xFE,0x00,0x00,
0xFF,0xFF,0xE7,0xFF,0xE0,0xFE,0x00,0x00,0xFF,0x80,0x04,0x00,0x02,0x7E,0x00,0x20,
0xFF,0x88,0x17,0xFF,0xFE,0x3F,0x00,0x00,0xFF,0x88,0x17,0xFF,0xFE,0x3F,0x00,0x10,
0xFF,0x88,0x17,0xFF,0xFE,0x3F,0x00,0x10,0xFF,0x88,0x17,0xFF,0xFE,0x1F,0x80,0x10,
0xFF,0x88,0x17,0xFF,0xFE,0x1F,0x80,0x00,0xFF,0x88,0x17,0xFF,0xFE,0x0F,0x80,0x08,
0xFF,0x80,0x07,0xFF,0xFE,0x0F,0x80,0x08,0xFF,0x80,0x7F,0xFF,0xFE,0x0F,0xC0,0x00,
0xFF,0xFF,0xF7,0xFF,0xFE,0x0F,0xC0,0x04,0xFF,0x80,0x07,0xFF,0xFE,0x07,0xC0,0x04,
0xFF,0x80,0x07,0xFF,0xFE,0x07,0xE0,0x0C,0xFF,0x80,0x07,0xFF,0xFE,0x07,0xE0,0x34,
0xFF,0x80,0x07,0xFF,0xFE,0x03,0xF1,0xE0,0xFF,0x80,0x07,0xFF,0xFE,0x03,0xDE,0x12,
0xFF,0x80,0x07,0xFF,0xFE,0x07,0xF8,0x02,0xFF,0x80,0x05,0xFF,0xFA,0x07,0xF8,0x01,
0xFF,0x80,0x0C,0x07,0xFA,0x02,0xF0,0x01,0xFF,0xFF,0xF5,0xFF,0xFE,0x00,0x78,0x01,
0xFF,0x80,0x07,0xFF,0xFE,0x00,0x38,0x01,0xFF,0x80,0x47,0xFF,0xFE,0x00,0x18,0x01,
0xFF,0x88,0x17,0xFF,0xFE,0x00,0x08,0x01,0x7F,0x88,0x17,0xFF,0xFE,0x00,0x00,0x06,
0x3F,0x88,0x17,0xFF,0xFE,0x00,0x03,0xF0,0x1F,0x88,0x17,0xFF,0xFE,0x00,0x00,0x00,
0x0F,0x88,0x17,0xFF,0xFE,0x00,0x00,0x00,0x07,0x88,0x17,0xFF,0xFC,0x00,0x00,0x00,
0x07,0x88,0x27,0xFF,0xF8,0x00,0x00,0x00,0x03,0x89,0x07,0xFF,0xE0,0x00,0x00,0x00,
0x01,0x80,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x38,0x00,0x00,0x00,0x00,0x00,
0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};

unsigned char egg_light[] = {
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x1F,0xFF,0xFF,0xFF,0xFF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFE,0x0F,0xFF,0xFF,0xFF,0xFF,
0xC3,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xFF,0xFF,0xFF,0xFF,0xE1,0xFF,0xFF,0xFF,0xFF,
0xFC,0x0F,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0xFF,0xF8,0x03,0xFF,0xFF,0xFF,
0xFF,0x80,0x3F,0xFF,0xFF,0xFF,0xF8,0x03,0xFF,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,
0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xFF,0xC0,0x0F,0xFE,0x00,0xFF,0xE0,0x0F,0xFF,0xFF,
0xFF,0xFF,0xE0,0x03,0xF0,0x00,0x1F,0xC0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xE0,
0x00,0x0F,0x81,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xC0,0x00,0x03,0x07,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xE0,0x80,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF9,
0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x7F,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFE,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x01,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x01,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFE,0x03,0x83,0xC1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x07,0xC3,0xE3,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x07,0xC3,0xE3,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFE,0x0F,0xC3,0xE3,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x8F,0x81,
0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0x88,0x41,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0x00,0x18,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,
0x1C,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x18,0x3C,0x7F,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x78,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x1C,0x00,0xD8,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x02,0x00,0xDC,0x07,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x13,0xE7,0x9F,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF8,0x13,0xFF,0x1F,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x30,0x02,0x1F,0xE0,
0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x70,0x00,0x1F,0xF0,0x0F,0xFF,0xFF,0xFF,0xFF,
0xFF,0x80,0xF0,0x00,0x1F,0xF8,0x00,0xFF,0xFF,0xFF,0xFF,0xFE,0x03,0xF8,0x00,0x3F,
0xFC,0x00,0x7F,0xFF,0xFF,0xFF,0xFC,0x07,0xFF,0x00,0x7F,0xFF,0x00,0x3F,0xFF,0xFF,
0xFF,0xE0,0x0F,0xFF,0x83,0xFF,0xFF,0x80,0x3F,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,
0xFF,0xFF,0xC0,0x7F,0xFF,0xFF,0xFF,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xC0,0x7F,0xFF,
0xFF,0xFF,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,
0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0xFF,
0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE1,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
};

unsigned char egg_dark[] = {
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x7F,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF0,0x00,0x00,0x00,0x0F,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x03,0xFF,0xE0,0x02,
0x0F,0xFF,0xFF,0xFF,0xFF,0xDB,0x80,0x1F,0xFF,0xF8,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,
0xE1,0x00,0xFF,0xFF,0xFF,0x02,0x1F,0xFF,0xFF,0xFF,0xFF,0xC2,0x01,0xFF,0xFF,0xFF,
0xC0,0x03,0xFF,0xFF,0xFF,0xFF,0xA1,0x07,0xFF,0xFF,0xFF,0xE4,0x07,0xFF,0xFF,0xFF,
0xFF,0xC0,0x4F,0xFF,0xFF,0xFF,0xF0,0x01,0xFF,0xFF,0xFF,0xFF,0xC0,0x2F,0xFF,0x83,
0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xFF,0xA0,0x07,0xF9,0x83,0x1F,0xC0,0x37,0xFF,0xFF,
0xFF,0xFF,0xD8,0x05,0xE8,0x00,0x27,0x80,0x83,0xFF,0xFF,0xFF,0xFF,0xC3,0x80,0xC0,
0x00,0x13,0x03,0x03,0xFF,0xFF,0xFF,0xFF,0xC1,0xA0,0x80,0x00,0x04,0x0B,0x81,0xFF,
0xFF,0xFF,0xFF,0x81,0xF1,0x00,0x00,0x06,0x1F,0x81,0xFF,0xFF,0xFF,0xFF,0x83,0xF4,
0x80,0x00,0x02,0x1F,0xC0,0xFF,0xFF,0xFF,0xFF,0x03,0xF8,0x00,0x00,0x03,0x3F,0xE0,
0xFF,0xFF,0xFF,0xFF,0x07,0xFF,0x00,0x00,0x02,0x3F,0xE0,0x7F,0xFF,0xFF,0xFE,0x07,
0xFD,0x00,0x00,0x02,0x1F,0xF0,0x7F,0xFF,0xFF,0xFE,0x0F,0xFD,0x00,0x00,0x02,0x1F,
0xF0,0x7F,0xFF,0xFF,0xFE,0x0F,0xF9,0x00,0x02,0x82,0x1F,0xF0,0x7F,0xFF,0xFF,0xFE,
0x0F,0xF9,0x05,0x45,0xA2,0x1F,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF9,0x03,0xC7,0xF5,
0xFF,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF9,0x0F,0xE7,0xF7,0xFF,0xF8,0x3F,0xFF,0xFF,
0xFC,0x1F,0xF1,0xC7,0xC1,0xE1,0xFF,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF0,0x47,0xC0,
0xC0,0xFF,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF0,0x8F,0x14,0xA0,0xFF,0xF8,0x3F,0xFF,
0xFF,0xFC,0x1F,0xF0,0x87,0x0C,0x00,0xFF,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF0,0x80,
0x18,0x1C,0xFF,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF0,0x80,0x24,0x5A,0xFF,0xF8,0x3F,
0xFF,0xFF,0xFC,0x1F,0xF0,0x5C,0x00,0xF0,0x7F,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xF0,
0xCE,0x00,0x24,0x2F,0xF8,0x3F,0xFF,0xFF,0xFC,0x1F,0xFB,0x1D,0xC3,0x1A,0x0B,0xF8,
0x3F,0xFF,0xFF,0xFC,0x1F,0xFC,0x0B,0x99,0xD8,0x02,0xF8,0x3F,0xFF,0xFF,0xFE,0x0F,
0xF0,0x38,0x3A,0xF8,0xC1,0x78,0x3F,0xFF,0xFF,0xFE,0x0F,0xF0,0x48,0xB9,0x30,0x00,
0x50,0x7F,0xFF,0xFF,0xFE,0x0F,0xE0,0x88,0x00,0x30,0x20,0x10,0x7F,0xFF,0xFF,0xFE,
0x07,0x41,0x08,0x00,0x20,0x34,0x03,0x7F,0xFF,0xFF,0xFF,0x05,0x04,0x07,0x00,0x40,
0x7E,0x00,0x3F,0xFF,0xFF,0xFF,0x02,0x0E,0x00,0x80,0x80,0x7E,0x20,0x7F,0xFF,0xFF,
0xFF,0x98,0x5F,0x00,0x7C,0x00,0xFF,0x4C,0x7F,0xFF,0xFF,0xFF,0xC0,0xBF,0x80,0x00,
0x01,0xFF,0x8C,0x3F,0xFF,0xFF,0xFF,0x81,0x7F,0xC0,0x00,0x03,0xFF,0xA0,0xFF,0xFF,
0xFF,0xFE,0x1A,0xFF,0xE0,0x00,0x07,0xFF,0x01,0xFF,0xFF,0xFF,0xFE,0x1C,0x7F,0xF8,
0x00,0x1F,0xFE,0x10,0x7F,0xFF,0xFF,0xFE,0xCD,0x3F,0xFF,0x00,0xFF,0xFC,0x01,0xFF,
0xFF,0xFF,0xFF,0xE1,0x1F,0xFF,0xFF,0xFF,0xF8,0x09,0xFF,0xFF,0xFF,0xFF,0xC0,0x0F,
0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xE0,0x3F,
0xFF,0xFF,0xFF,0xFF,0xFE,0x01,0xFF,0xFF,0xFF,0x80,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,
0x00,0x7F,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xF8,0x01,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x03,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,
0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xC0,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,
0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
};