/******************************************************************************
*
* project name:    Bookworm
* file name:       definitions##.h
* initial date:    3.07.2005
* author:          mhubi@freesurf.ch
* description:     all kind of other definitions
*
*******************************************************************************
*
* Bookworm -- another snake game
* Copyright (C) 2005  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/

#define COMMENT_VERSION_STRING "v. 1.0"

#define BULKSIZE			(LCD_SIZE) +	\
											(sizeof(GAME)) + \
											(sizeof(WORM)) + \
											(LCD_SIZE) + \
											(LCD_SIZE) + \
											(sizeof(PMARK))

#define LPLANE				GrayGetPlane(0)
#define DPLANE				GrayGetPlane(1)

#define K_F2					-10
#define K_ESC					-1

#define K_1						1
#define K_2						2
#define K_3						3

#define K_UP					11
#define K_DOWN				12
#define K_RIGHT				13
#define K_LEFT				14

#define UP						12
#define DOWN					11
#define RIGHT					14
#define LEFT					13

#define K_ENTER				20

#define K_YES					100
#define K_NO					101

#define MEMORY			 -4
#define FASTQUIT		 -3
#define QUIT				 -2
#define NORMAL				0
#define MENU					1
#define NEWGAME				5
#define ERRORSAVE			-20
#define ERRORLOAD			-21

#define WALL				 -100
#define BODY				 -1
#define EMPTY					0
#define POWER					30

#define MAX_HISCORES	5

enum msgmode {START = -3, LS = -2, SCORE = -1, CRASH = 0, 
							GAMEOVER, CONGRAT, NEXTLEVEL, SPEEDLEVEL, NEXTSPEED, NEWTRY};

typedef struct {
	int status;
	unsigned int level;
	unsigned int speed;
	int eaten;
	unsigned long score;
	int field[24][16];
} GAME;

typedef struct {
	unsigned int limbs;
	unsigned int limbs_left;
	int power;
	int direction;
	int pos[262][2];
} WORM;

typedef struct {
	unsigned int number;
	int pos[5][2];
} PMARK;

typedef struct {
	char name[12];
	unsigned long score;
} SCORETABLE;


//extern-variables
extern BOOL OptionsOpened;
extern INT_HANDLER save_int_1;
extern INT_HANDLER save_int_5;
extern char *homescreen;
extern void *bulk;
extern GAME *game;
extern WORM *worm;
extern char *plane_light;
extern char *plane_dark;
extern PMARK *pmark;