/******************************************************************************
*
* project name:    Bookworm
* file name:       functions##.h
* initial date:    3.07.2005
* author:          mhubi@freesurf.ch
* description:     function-declarations
*
*******************************************************************************
*
* Bookworm -- another snake game
* Copyright (C) 2005  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/

//main10.c
void _main(void);
void MemoryAllocation(void);
void Menu(void);
void LeadOut(int);
void Delay(unsigned int, unsigned int);

//input10.c
int KeyPressed(void);
void Waitkey(void);
void Wait(void);
void Inputstr(char *, unsigned short);

//hiscore10.c
unsigned char *GetDataPtr(const char *, short);
void Archive(const char *);
void Unarchive(const char *);
unsigned int NeedHiscoreFile(void);
unsigned int CreateHiscoreFile(void);
unsigned int SaveHiscores(SCORETABLE *);
unsigned int LoadHiscores(SCORETABLE *);
void CalcHiscores(unsigned int);
void DrawHiscores(SCORETABLE *);
void ShowHiscores(void);

//gfx10.c
void DrawWelcome(void);
void DrawFrame(void);
void DrawField(void);
void DrawMessage(int);
void DrawPower(int);
void DrawWorm(void);
void MoveWorm(void);
void DrawSprites(void);
void IncreasePower(unsigned int);
void BlinkPmark(void);
void DrawMenuFrame(void);
void EraseMenu(void);

//game10.c
DEFINE_INT_HANDLER(CursorBlink);
void ChooseOptions(void);
void GameLoop(void);
void InitRound(void);
void Round(void);
void GameOver(void);
void PlacePmark(void);
void EasterEgg(void);

//boolsoft.h
static inline void BoolsoftIntro(BOOL);