/******************************************************************************
*
* project name:    Bookworm
* file name:       input##.h
* initial date:    3.07.2005
* author:          mhubi@freesurf.ch
* description:     all input-routines
*
*******************************************************************************
*
* Bookworm -- another snake game
* Copyright (C) 2005  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/

#include "main-h10.h"


int KeyPressed(void) {
	
	if (_keytest(RR_F2)) {
		
		LeadOut(FASTQUIT);	
		
	}
	
	else if (_keytest(RR_ESC)) {
		
		if (game->status != MENU) {
			Menu();
		}
		else {
			return K_ESC;	
		}
		
	}
	
	else if (_keytest(RR_ESC)) return K_ESC;
	
	#if defined(TI_BIG)
	else if (_keytest(RR_ENTER1) || _keytest(RR_ENTER2) || _keytest(RR_HAND)) return K_ENTER;
	#elif defined(TI_SMALL)
	else if (_keytest(RR_ENTER1) || _keytest(RR_ENTER2) || _keytest(RR_HOME)) return K_ENTER;
	#endif
	
	
	else if (_keytest(RR_LEFT)) return K_LEFT;
	
	else if (_keytest(RR_RIGHT)) return K_RIGHT;
	
	else if (_keytest(RR_UP)) return K_UP;
	
	else if (_keytest(RR_DOWN)) return K_DOWN;
	
	
	else if (_keytest(RR_1)) return K_1;
	
	else if (_keytest(RR_2)) return K_2;
	
	else if (_keytest(RR_3)) return K_3;
	
	
	else if (_keytest(RR_PLUS)) {
		OSContrastUp();
		Wait();
		return 0;
	}
	
	else if (_keytest(RR_MINUS))  {
		OSContrastDn();
		Wait();
		return 0;
	}
	
	else if (_keytest(RR_Y)) return K_YES;
	
	#if defined(TI_BIG)
	else if (_keytest(RR_N)) return K_NO;
	#elif defined(TI_SMALL)
	else if (_keytest(RR_6)) return K_NO;
	#endif
	
	return 0;
	
}


void Waitkey(void) {
	
	while(_rowread(0)) continue;
	
	while(!KeyPressed()) {
		pokeIO(0x600005, 0b10111);
	}
	
	while(_rowread(0)) continue;
	
}


void Wait(void) {
	while(_rowread(0)) continue;
}


void Inputstr(char *name, unsigned short maxlen) {
  
  FontSetSys(F_6x8);
  short key;
  unsigned short position = 0;
  
  Wait();
  
  #if defined(TI_SMALL)
  	SetAlphaStatus(TRUE);
  #endif
  
  GraySetInt1Handler(save_int_1);
  
  GraySetAMSPlane(DARK_PLANE);
  
  name[0] = 0;
 	DrawStr(CALC(20,60),CALC(50,64),"Name: ",A_NORMAL);
 	
 	GKeyFlush();
 	key = 0;
 	
 	while (key != KEY_ENTER) {
 		DrawStr(CALC(60,100),CALC(50,64),"         ",A_SHADED);
  	DrawStr(CALC(60,100),CALC(50,64),name,A_NORMAL);
  	DrawStr(CALC(60,100) + 6*position, CALC(50,64), "_",A_NORMAL);
  	key = ngetchx ();
  	if (key == KEY_F2) {
  		LeadOut(FASTQUIT);
  	}
  	else if (key >= ' ' && key <= '~' && position < maxlen) {
  		name[position++] = key;
   	}
  	else if (key == KEY_BACKSPACE && position) {
			position--;
  	}
  	name[position] = 0;
	}
  DrawStr(CALC(60,100) + 6*position,CALC(50,64)," ",A_SHADED);
  
  GraySetInt1Handler(DUMMY_HANDLER);
  
  #if defined(TI_SMALL)
  	SetAlphaStatus(FALSE);
  #endif
  
}